import 'package:flutter/material.dart';
import 'package:syncrow_app/features/scene/helper/effect_period_helper.dart';
import 'package:syncrow_app/features/scene/widgets/effective_period_setting/period_options.dart';
import 'package:syncrow_app/features/scene/widgets/effective_period_setting/repeat_days.dart';
import 'package:syncrow_app/features/shared_widgets/text_widgets/body_medium.dart';
import 'package:syncrow_app/utils/resource_manager/color_manager.dart';
import 'package:syncrow_app/utils/resource_manager/font_manager.dart';

class EffectPeriodBottomSheetContent extends StatelessWidget {
  const EffectPeriodBottomSheetContent({super.key});

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: const EdgeInsets.all(16.0),
      child: Column(
        mainAxisSize: MainAxisSize.min,
        children: [
          Row(
            mainAxisAlignment: MainAxisAlignment.spaceBetween,
            children: [
              const Spacer(),
              Expanded(
                child: BodyMedium(
                  text: 'Effective Period',
                  fontColor: ColorsManager.primaryColorWithOpacity,
                  fontWeight: FontsManager.bold,
                  textAlign: TextAlign.center,
                ),
              ),
              const Spacer(),
            ],
          ),
          const Divider(
            color: ColorsManager.backgroundColor,
          ),
          const PeriodOptions(
            showCustomTimePicker: EffectPeriodHelper.showCustomTimePicker,
          ),
          const SizedBox(height: 16),
          const RepeatDays(),
          const SizedBox(height: 24),
        ],
      ),
    );
  }
}
